SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - t -

- SUTextCreate() : SUTextRef
- SUTextFromDrawingElement() : SUTextRef
- SUTextFromEntity() : SUTextRef
- SUTextGetArrowType() : SUTextRef
- SUTextGetColor() : SUTextRef
- SUTextGetFont() : SUTextRef
- SUTextGetLeaderType() : SUTextRef
- SUTextGetLeaderVector() : SUTextRef
- SUTextGetPoint() : SUTextRef
- SUTextGetScreenPosition() : SUTextRef
- SUTextGetString() : SUTextRef
- SUTextRelease() : SUTextRef
- SUTextSetArrowType() : SUTextRef
- SUTextSetColor() : SUTextRef
- SUTextSetFont() : SUTextRef
- SUTextSetLeaderType() : SUTextRef
- SUTextSetLeaderVector() : SUTextRef
- SUTextSetPoint() : SUTextRef
- SUTextSetScreenPosition() : SUTextRef
- SUTextSetString() : SUTextRef
- SUTextToDrawingElement() : SUTextRef
- SUTextToEntity() : SUTextRef
- SUTextureCreateFromFile() : SUTextureRef
- SUTextureCreateFromImageData() : SUTextureRef
- SUTextureCreateFromImageRep() : SUTextureRef
- SUTextureFromEntity() : SUTextureRef
- SUTextureGetAverageColor() : SUTextureRef
- SUTextureGetColorizedImageRep() : SUTextureRef
- SUTextureGetDimensions() : SUTextureRef
- SUTextureGetFileName() : SUTextureRef
- SUTextureGetFilePath() : SUTextureRef
- SUTextureGetImageData() : SUTextureRef
- SUTextureGetImageDataSize() : SUTextureRef
- SUTextureGetImageRep() : SUTextureRef
- SUTextureGetUseAlphaChannel() : SUTextureRef
- SUTextureRelease() : SUTextureRef
- SUTextureSetDimensions() : SUTextureRef
- SUTextureSetFileName() : SUTextureRef
- SUTextureToEntity() : SUTextureRef
- SUTextureWriteOriginalToFile() : SUTextureRef
- SUTextureWriterCreate() : SUTextureWriterRef
- SUTextureWriterGetBackFaceUVCoords() : SUTextureWriterRef
- SUTextureWriterGetFrontFaceUVCoords() : SUTextureWriterRef
- SUTextureWriterGetImageRep() : SUTextureWriterRef
- SUTextureWriterGetNumTextures() : SUTextureWriterRef
- SUTextureWriterGetTextureFilePath() : SUTextureWriterRef
- SUTextureWriterGetTextureIdForEntity() : SUTextureWriterRef
- SUTextureWriterGetTextureIdForFace() : SUTextureWriterRef
- SUTextureWriterIsTextureAffine() : SUTextureWriterRef
- SUTextureWriterLoadEntity() : SUTextureWriterRef
- SUTextureWriterLoadFace() : SUTextureWriterRef
- SUTextureWriterRelease() : SUTextureWriterRef
- SUTextureWriterWriteAllTextures() : SUTextureWriterRef
- SUTextureWriterWriteTexture() : SUTextureWriterRef
- SUTextureWriteToFile() : SUTextureRef
- SUTransformation2DGetInverse() : SUTransformation2D
- SUTransformation2DIsIdentity() : SUTransformation2D
- SUTransformation2DMultiply() : SUTransformation2D
- SUTransformation2DNonUniformScale() : SUTransformation2D
- SUTransformation2DNonUniformScaleAboutPoint() : SUTransformation2D
- SUTransformation2DRotation() : SUTransformation2D
- SUTransformation2DScale() : SUTransformation2D
- SUTransformation2DScaleAboutPoint() : SUTransformation2D
- SUTransformation2DTranslation() : SUTransformation2D
- SUTransformationGetInverse() : SUTransformation
- SUTransformationGetOrigin() : SUTransformation
- SUTransformationGetXAxis() : SUTransformation
- SUTransformationGetYAxis() : SUTransformation
- SUTransformationGetZAxis() : SUTransformation
- SUTransformationGetZRotation() : SUTransformation
- SUTransformationInterpolate() : SUTransformation
- SUTransformationIsIdentity() : SUTransformation
- SUTransformationIsMirrored() : SUTransformation
- SUTransformationMultiply() : SUTransformation
- SUTransformationNonUniformScale() : SUTransformation
- SUTransformationNonUniformScaleAboutPoint() : SUTransformation
- SUTransformationRotation() : SUTransformation
- SUTransformationScale() : SUTransformation
- SUTransformationScaleAboutPoint() : SUTransformation
- SUTransformationSetFromPointAndAxes() : SUTransformation
- SUTransformationSetFromPointAndNormal() : SUTransformation
- SUTransformationTranslation() : SUTransformation
- SUTypedValueCreate() : SUTypedValueRef
- SUTypedValueGetArrayItems() : SUTypedValueRef
- SUTypedValueGetBool() : SUTypedValueRef
- SUTypedValueGetByte() : SUTypedValueRef
- SUTypedValueGetColor() : SUTypedValueRef
- SUTypedValueGetDouble() : SUTypedValueRef
- SUTypedValueGetFloat() : SUTypedValueRef
- SUTypedValueGetInt16() : SUTypedValueRef
- SUTypedValueGetInt32() : SUTypedValueRef
- SUTypedValueGetNumArrayItems() : SUTypedValueRef
- SUTypedValueGetString() : SUTypedValueRef
- SUTypedValueGetTime() : SUTypedValueRef
- SUTypedValueGetType() : SUTypedValueRef
- SUTypedValueGetVector3d() : SUTypedValueRef
- SUTypedValueRelease() : SUTypedValueRef
- SUTypedValueSetArrayItems() : SUTypedValueRef
- SUTypedValueSetBool() : SUTypedValueRef
- SUTypedValueSetByte() : SUTypedValueRef
- SUTypedValueSetColor() : SUTypedValueRef
- SUTypedValueSetDouble() : SUTypedValueRef
- SUTypedValueSetFloat() : SUTypedValueRef
- SUTypedValueSetInt16() : SUTypedValueRef
- SUTypedValueSetInt32() : SUTypedValueRef
- SUTypedValueSetString() : SUTypedValueRef
- SUTypedValueSetTime() : SUTypedValueRef
- SUTypedValueSetUnitVector3d() : SUTypedValueRef
- SUTypedValueSetVector3d() : SUTypedValueRef
- target : SUBeginFrameInfo
- tx : SUTransformation2D
- ty : SUTransformation2D